(function (doc, win) {
		if (!doc.addEventListener) return;
        var docEl = doc.documentElement,
        resizeEvt = 'orientationchange' in window ? 'orientationchange' : 'resize';
        recalc = function () {
            var clientWidth = docEl.clientWidth;
            if (!clientWidth) return;
            docEl.style.fontSize =  clientWidth / 750 * 100+ 'px';
        };
        win.addEventListener(resizeEvt, recalc, false);
        doc.addEventListener('DOMContentLoaded', recalc, false);
    })(document, window);
//重写alert
(function(){
	window.alert = function(name){
		var iframe = document.createElement("IFRAME");
		iframe.style.display="none";
		iframe.setAttribute("src", 'data:text/plain');
		document.documentElement.appendChild(iframe);
		window.frames[0].window.alert(name);
		iframe.parentNode.removeChild(iframe);
	}
})();
document.addEventListener('touchstart', function(event) {
    // 判断默认行为是否可以被禁用
    var touchElementName = event.currentTarget.activeElement.localName;
    if(touchElementName == "input"){
    	return;
    }
//  return;
//  if (event.cancelable) {
//      // 判断默认行为是否已经被禁用
//      if (!event.defaultPrevented) {
//          event.preventDefault();
//      }
//  }
}, false);
document.addEventListener('plusready', function() {
    
    
    plus.key.addEventListener('backbutton', function() {
    	var webview = plus.webview.currentWebview();
    	console.log("backCurrentId=" + webview.id);
    	console.log("topWebViewId=" + plus.webview.getTopWebview().id);
        webview.canBack(function(e) {
//          if(e.canBack) {
//              webview.back();
//          } else {
//              webview.close(); //hide,quit
//              //plus.runtime.quit();
//          }
        })
    });
});
